<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>pelota</title>
	<style type="text/css" media="screen">
		body{
			display: flex;
			align-items: center;
			justify-content: center;
			height: 400px;
		}
		div{
            border-radius: 100%;
            width: 350px;
            height: 350px;
			background-color: red;
			animation:desplazar 2s ease-out 0s infinite alternate,pintar 4s ease-out infinite alternate;
		}
		@keyframes desplazar{
			0%{
				transform: translate(0px);
			}
			25%{
			   transform: translate(300px);
			}
			50%{
				transform: translate(0px);
			}
			100%{
				transform: translate(-300px);
			}
		}
		@keyframes pintar{
			from{}
			to{
				background-color: orange;
			}
		}
	</style>
</head>
<body>
	<div></div>
</body>
</html>